Name:           perl-CSS-DOM
Version:        0.13
Release:        2%{?dist}
Summary:        Document Object Model for Cascading Style Sheets

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/CSS-DOM/
Source0:        http://www.cpan.org/authors/id/S/SP/SPROUT/CSS-DOM-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Clone) >= 0.09
Requires:       perl(Encode) >= 2.10
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# Dependencies not detected automatically:
Requires:       perl(Clone) >= 0.09
Requires:       perl(Encode) >= 2.10
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# http://rpm.org/ticket/127
%filter_from_requires /perl(#)/d
%filter_setup

%description
This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.


%prep
%setup -q -n CSS-DOM-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/CSS/
%{_mandir}/man3/CSS::DOM*.3*


%changelog
* Thu Aug 26 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.13-2
- Add explicit dependency on perl(Encode), not detected automatically.

* Tue Aug 24 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.13-1
- Update to 0.13.

* Fri Aug 20 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.11-1
- Update to 0.11.

* Fri Apr  2 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.10-1
- Update to 0.10.

* Sun Feb 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.09-1
- 0.09.

* Sun Jan 24 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.08-1
- First build.
